Bug 104881 - Can't cancel screen saver...
Can't cancel screen saver...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 01:00 EDT by Brad
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad 2003-09-23 01:00:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When the screen saver on my workstation starts to activate there is a 3-5 second
period when it slowly "steps" to black. If I move my mouse during this period,
the screen saver doesn't unlock and I have to wait until the screen goes bnlack
before any mouse movement cancels the screen saver.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Wait until screen starts to step to black
2. Move mouse
3.
    

Actual Results:  Nothing happens.

Expected Results:  Screen saver would immediately cancel.

Additional info:

I am using a Riva TNT2 with 4Mb and the "nv" driver. Monitor is "DCCPROBED" Generic
Resolution: 1152x864
Millions Of Colors
Horizontal Sync: 30.0-70.0
Vertical refresh: 50.0-160.0
91dpi x 91dpi physical resolution

Here is the screen saver command line:
rorschach -root -offset 7
Comment 1 Mike A. Harris 2003-09-23 12:11:48 EDT
Please attach X server log and config file using the link below.
Comment 2 Miloslav Trmac 2003-09-23 15:37:00 EDT
I think this is xscreensaver "behavior"

To reproduce: Hat/Lock Screen, immediately start constantly moving the mouse

Results: screen fades and screen saver is activated regardless of mouse activity

Expected results:
"Mouse or keyboard activity causes skipping of the fade-out effect and immediate
 opening of the unlock dialog".
[The mouse movement might be accidental and not an attempt to skip the fade-out
effect, but since all it does is bring up the dialog, it does not matter much.]
Similarly, if the screensaver triggers due to idle time, the screensaver is
cancelled.
Comment 3 Mike A. Harris 2004-10-01 02:22:03 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.